| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::GLUniformReference Struct Reference

Structure used to keep track of named uniforms in the linked program object. More...

`#include <OgreGLSLProgramCommon.h>`

## Public Attributes
const GpuConstantDefinition * | mConstantDef
| The constant definition it relates to. More...
int | mLocation
| GL location handle. More...
GpuProgramType | mSourceProgType
| Which type of program params will this value come from? More...

## Detailed Description

Structure used to keep track of named uniforms in the linked program object.

## Member Data Documentation

## ◆ mLocation

int Ogre::GLUniformReference::mLocation

GL location handle.

## ◆ mSourceProgType

GpuProgramType Ogre::GLUniformReference::mSourceProgType

Which type of program params will this value come from?

## ◆ mConstantDef

const GpuConstantDefinition* Ogre::GLUniformReference::mConstantDef

The constant definition it relates to.

The documentation for this struct was generated from the following file:

- OgreGLSLProgramCommon.h